# Generated from ruh-roo-3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruh-roo

Name: rubygem-%{gem_name}
Version: 3.0.1
Release: 1%{?dist}
Summary: Roo can access the contents of various spreadsheet files
License: MIT
URL: https://github.com/rbclark/roo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(minitest) >= 5.4
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.4.3
# BuildRequires: rubygem(rack) >= 1.6
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(rack) < 2.0.0
BuildArch: noarch

%description
Roo can access the contents of various spreadsheet files. It can handle
* OpenOffice
* Excelx
* LibreOffice
* CSV.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/roo.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 3.0.1-1
- Initial package
